Edit

Job Scheduler - List Item Job Instances

Returns a list of job instances for the specified item.

Required Delegated Scopes

For item APIs use these scope types:

  • Generic scope: Item.ReadWrite.All or Item.Read.All
  • Specific scope: itemType.ReadWrite.All or itemType.Read.All (for example: Notebook.ReadWrite.All)

for more information about scopes, see scopes article.

Limitations

  • Most items have a limit of 100 recently completed entities, and there is not limit for active entities.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/items/{itemId}/jobs/instances
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/items/{itemId}/jobs/instances?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
itemId
path True

string (uuid)

The item ID.

workspaceId
path True

string (uuid)

The workspace ID.

continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

ItemJobInstances

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • InsufficientPrivileges - The caller does not have sufficient permissions to access the item.

  • ItemNotFound - Requested item id not found.

Examples

List item job instances example
List item job instances with continuation example

List item job instances example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/4b218778-e7a5-4d73-8187-f10824047715/items/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7/jobs/instances

Sample response

{
  "value": [
    {
      "id": "f2d65699-dd22-4889-980c-15226deb0e1b",
      "itemId": "431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7",
      "jobType": "DefaultJob",
      "invokeType": "Manual",
      "status": "Completed",
      "rootActivityId": "8c2ee553-53a4-7edb-1042-0d8189a9e0ca",
      "startTimeUtc": "2024-06-22T06:35:00.7812154",
      "endTimeUtc": "2024-06-22T06:35:00.8033333",
      "failureReason": null
    },
    {
      "id": "c0c99aed-be56-4fe0-a6e5-6de5fe277f16",
      "itemId": "431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7",
      "jobType": "DefaultJob",
      "invokeType": "Manual",
      "status": "Completed",
      "rootActivityId": "c0c99aed-be56-4fe0-a6e5-6de5fe277f16",
      "startTimeUtc": "2024-06-22T06:35:00.7812154",
      "endTimeUtc": "2024-06-22T07:35:00.8033333",
      "failureReason": null
    }
  ]
}

List item job instances with continuation example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/4b218778-e7a5-4d73-8187-f10824047715/items/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7/jobs/instances

Sample response

{
  "value": [
    {
      "id": "f2d65699-dd22-4889-980c-15226deb0e1b",
      "itemId": "431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7",
      "jobType": "DefaultJob",
      "invokeType": "Manual",
      "status": "Completed",
      "rootActivityId": "8c2ee553-53a4-7edb-1042-0d8189a9e0ca",
      "startTimeUtc": "2024-06-22T06:35:00.7812154",
      "endTimeUtc": "2024-06-22T06:35:00.8033333",
      "failureReason": null
    },
    {
      "id": "c0c99aed-be56-4fe0-a6e5-6de5fe277f16",
      "itemId": "431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7",
      "jobType": "DefaultJob",
      "invokeType": "Manual",
      "status": "Completed",
      "rootActivityId": "c0c99aed-be56-4fe0-a6e5-6de5fe277f16",
      "startTimeUtc": "2024-06-22T06:35:00.7812154",
      "endTimeUtc": "2024-06-22T07:35:00.8033333",
      "failureReason": null
    }
  ],
  "continuationToken": "LDEsMTAwMDAwLDA%3D",
  "continuationUri": "https://api.fabric.microsoft.com/v1/workspaces/4b218778-e7a5-4d73-8187-f10824047715/items/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7/jobs/instances?continuationToken=LDEsMTAwMDAwLDA%3D"
}

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

InvokeType

The item job invoke type. Additional invokeTypes may be added over time.

ItemJobInstance

An object representing item job instance

ItemJobInstances
ItemJobStatus

The item job status. Additional statuses may be added over time.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

InvokeType

The item job invoke type. Additional invokeTypes may be added over time.

Value Description
Scheduled

Job is scheduled

Manual

Job is invoked manually

ItemJobInstance

An object representing item job instance

Name Type Description
endTimeUtc

string

Job end time in UTC

failureReason

ErrorResponse

Error response when job is failed

id

string (uuid)

Job instance Id

invokeType

InvokeType

The item job invoke type. Additional invokeTypes may be added over time.

itemId

string (uuid)

Item Id

jobType

string

Job type

rootActivityId

string (uuid)

Root activity id to trace requests across services

startTimeUtc

string

Job start time in UTC

status

ItemJobStatus

The item job status. Additional statuses may be added over time.

ItemJobInstances

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

ItemJobInstance[]

A list of item job instances.

ItemJobStatus

The item job status. Additional statuses may be added over time.

Value Description
NotStarted

Job not started

InProgress

Job in progress

Completed

Job completed

Failed

Job failed

Cancelled

Job cancelled

Deduped

A job instance of the same job type is already running and this job instance is skipped